﻿<Window x:Class="DemoDraw2.MainWindow"
        xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
        xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"
        Title="MainWindow" Height="800" Width="700"
        WindowStyle="None"
        WindowStartupLocation="CenterScreen">

    <Window.Resources>
        <Style x:Key="LockerOpenStyle" TargetType="Border">
            <Style.Triggers>
                <DataTrigger Binding="{Binding Path=color_format}" Value="1">
                    <Setter Property="Background" Value="#93d04f"/>
                </DataTrigger>

                <DataTrigger Binding="{Binding Path=color_format}" Value="2">
                    <Setter Property="Background" Value="#bfbfbf"/>
                </DataTrigger>
                <DataTrigger Binding="{Binding Path=color_format}" Value="3">
                    <Setter Property="Background" Value="#FCCD0B"/>
                </DataTrigger>



            </Style.Triggers>
        </Style>
        <Style x:Key="LockerOpenTextStyle" TargetType="TextBlock">
            <Setter Property="FontSize" Value="13"/>
        </Style>

        <Style x:Key="NotiLockerOpenTextStyle" TargetType="TextBlock">
            <Setter Property="FontSize" Value="15"/>
            <Setter Property="Foreground" Value="#fff"/>
            <Setter Property="FontWeight" Value="Bold"/>
        </Style>

        <Style x:Key="NotiLockerOpenStyle" TargetType="Border">
            <Setter Property="Background" Value="#818181"/>
            <Setter Property="Width" Value="40"/>
            <Setter Property="Height" Value="35"/>
            <Setter Property="CornerRadius" Value="12"/>
        </Style>

        <Style x:Key="NotiTextStyle" TargetType="TextBlock">
            <Setter Property="FontSize" Value="17"/>
            <Setter Property="Foreground" Value="#333333"/>
            <Setter Property="FontWeight" Value="Bold"/>
            <Setter Property="Padding" Value="0"/>
            <Setter Property="VerticalAlignment" Value="Center"/>
            <Setter Property="HorizontalAlignment" Value="Center"/>
        </Style>




        <Style x:Key="ButtonHomeStyle" TargetType="Border">
            <Setter Property="BorderBrush" Value="Black"/>
            <Setter Property="BorderThickness" Value="1"/>
            <Setter Property="Width" Value="200"/>
            <Setter Property="Height" Value="35"/>
            <Setter Property="CornerRadius" Value="20"/>
        </Style>

    </Window.Resources>



    <StackPanel Margin="0 60 0 0">
        <StackPanel Visibility="Hidden" Name="spNotiOpen" Orientation="Horizontal" HorizontalAlignment="Center">
            <TextBlock  Style="{StaticResource NotiTextStyle}" Text="LOCKER "/>
            <StackPanel Height="40">
                <Border Margin="2" Style="{StaticResource NotiLockerOpenStyle}" >
                    <StackPanel VerticalAlignment="Center">
                        <TextBlock TextAlignment="Center" Name="tbLockerOpen" Style="{StaticResource NotiLockerOpenTextStyle}"></TextBlock>
                    </StackPanel>
                    <Border.BorderBrush>
                        <DrawingBrush Viewport="10,10,25,25" ViewportUnits="Absolute" TileMode="Tile">
                            <DrawingBrush.Drawing>
                                <DrawingGroup>
                                    <GeometryDrawing Brush="Black">
                                        <GeometryDrawing.Geometry>
                                            <GeometryGroup>
                                                <RectangleGeometry Rect="0,0,50,50" />
                                                <RectangleGeometry Rect="50,50,50,50" />
                                            </GeometryGroup>
                                        </GeometryDrawing.Geometry>
                                    </GeometryDrawing>
                                </DrawingGroup>
                            </DrawingBrush.Drawing>
                        </DrawingBrush>
                    </Border.BorderBrush>
                </Border>
            </StackPanel>
            <TextBlock Style="{StaticResource NotiTextStyle}" Text=" IS OPENING "/>
        </StackPanel>

        <ItemsControl ItemsSource="{Binding BlockLockerUIs}" VerticalAlignment="Center" HorizontalAlignment="Center" Margin="0 10 0 0">
            <ItemsControl.ItemTemplate>
                <DataTemplate>
                    <StackPanel Orientation="Vertical">
                        <ItemsControl  ItemsSource="{Binding LockerUIs}">
                            <ItemsControl.ItemTemplate>
                                <DataTemplate>
                                    <StackPanel Tag="{Binding}" Name="stpALocker" PreviewMouseDown="stpALocker_PreviewMouseDown">
                                        <Border Width="{Binding width}" Height="{Binding height}" Margin="2" Style="{StaticResource LockerOpenStyle}" >
                                            <StackPanel VerticalAlignment="Center">
                                                <TextBlock TextAlignment="Center" Text="{Binding name}" Style="{StaticResource LockerOpenTextStyle}"></TextBlock>
                                            </StackPanel>
                                            <Border.BorderBrush>
                                                <DrawingBrush Viewport="10,10,25,25" ViewportUnits="Absolute" TileMode="Tile">
                                                    <DrawingBrush.Drawing>
                                                        <DrawingGroup>
                                                            <GeometryDrawing Brush="Black">
                                                                <GeometryDrawing.Geometry>
                                                                    <GeometryGroup>
                                                                        <RectangleGeometry Rect="0,0,50,50" />
                                                                        <RectangleGeometry Rect="50,50,50,50" />
                                                                    </GeometryGroup>
                                                                </GeometryDrawing.Geometry>
                                                            </GeometryDrawing>
                                                        </DrawingGroup>
                                                    </DrawingBrush.Drawing>
                                                </DrawingBrush>
                                            </Border.BorderBrush>
                                        </Border>
                                    </StackPanel>
                                </DataTemplate>
                            </ItemsControl.ItemTemplate>

                        </ItemsControl>
                    </StackPanel>
                </DataTemplate>
            </ItemsControl.ItemTemplate>

            <ItemsControl.ItemsPanel>
                <ItemsPanelTemplate>
                    <StackPanel Orientation="Horizontal"></StackPanel>
                </ItemsPanelTemplate>
            </ItemsControl.ItemsPanel>
        </ItemsControl>

        <TextBlock  Style="{StaticResource NotiTextStyle}" Text="CLOSE THE DOOR AFTER USE" Foreground="#9f2c19" Margin="0 10 0 0"/>

        <Border Name="borderHome" PreviewMouseDown="borderHome_PreviewMouseDown" Style="{StaticResource ButtonHomeStyle}" Margin="0 10 0 0">
            <StackPanel VerticalAlignment="Center">
                <TextBlock TextAlignment="Center" FontWeight="Bold" Text="HOME" Foreground="Black" ></TextBlock>
            </StackPanel>
            <Border.BorderBrush>
                <DrawingBrush Viewport="10,10,25,25" ViewportUnits="Absolute" TileMode="Tile" >
                    <DrawingBrush.Drawing>
                        <DrawingGroup>
                            <GeometryDrawing Brush="Black">
                                <GeometryDrawing.Geometry>
                                    <GeometryGroup>
                                        <RectangleGeometry Rect="50,0,50,50" />
                                        <RectangleGeometry Rect="50,50,50,50" />
                                    </GeometryGroup>
                                </GeometryDrawing.Geometry>
                            </GeometryDrawing>
                        </DrawingGroup>
                    </DrawingBrush.Drawing>
                </DrawingBrush>
            </Border.BorderBrush>
        </Border>

        <TextBlock  Style="{StaticResource NotiTextStyle}" Text="Your session will end in ..." Foreground="Black" FontSize="10" Margin="0 10 0 0"/>


    </StackPanel>






</Window>
